package com.javacodegeeks.enterprise.servlet;

import java.io.IOException;

import javax.naming.InitialContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.javacodegeeks.enterprise.ejb.Passivation;
import com.javacodegeeks.enterprise.ejb.property.PropertyObject;



@WebServlet("/MyServlet")
public class MyServlet extends HttpServlet {
	
	private static final long serialVersionUID = 1L;

	public MyServlet() {
		super();

	}

	protected void doGet(HttpServletRequest request,
		
			
		HttpServletResponse response) throws ServletException, IOException {
		
		System.out.println("Hello from Servlet");

		InitialContext ic;
		
		Passivation passivation;
		

		String beanCountparam = request.getParameter("count");

		if (beanCountparam != null) {
			int beanCount = Integer.parseInt(beanCountparam);

			try {
				ic = new InitialContext();
				for (int i = 0; i < beanCount; i++) {
					
					
					
					passivation = (Passivation) ic
							.lookup("java:global/StatefulBeansEAR/StatefulEJB/PassivationBean!"
									+ "com.javacodegeeks.enterprise.ejb.Passivation");

					passivation.setPropertyObject(new PropertyObject(
							"bean" + i));

					request.getSession().setAttribute("bean" + i,
							passivation);
				}
			} catch (Exception e) {
				throw new ServletException(e);
			}
		}

		String beanActivationIndex = request.getParameter("activate");

		if (beanActivationIndex != null) {
			try {
				ic = new InitialContext();

				passivation = (Passivation) request.getSession()
						.getAttribute("bean" + beanActivationIndex);

				System.out.println("TestObject property value: "
						+ passivation.getPropertyObject().getProperty());

			} catch (Exception e) {
				throw new ServletException(e);
			}
		}
	}

	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
	}

}
